iSndSysSource3D Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iSndSysSource3D Struct Reference
Sound system

Extension to the iSndSysSource interface, allowing sources to be positioned in space. More...

`#include <isndsys/ss_source.h>`

Inheritance diagram for iSndSysSource3D:

List of all members.

## Public Member Functions
virtual float | GetMaximumDistance ()=0
| Retrieve the maximum distance for which a sound can be heard.
virtual float | GetMinimumDistance ()=0
| Retrieve the maximum distance for which a sound is heard at full volume.
virtual csVector3 | GetPosition ()=0
| get position of this source
virtual void | SetMaximumDistance (float distance)=0
| Set the greatest distance from a sound at which the sound can be heard.
virtual void | SetMinimumDistance (float distance)=0
| Set the greatest distance from a sound at which the sound plays at full amplitude.
virtual void | SetPosition (csVector3 pos)=0
| set position of this source

## Detailed Description

Extension to the iSndSysSource interface, allowing sources to be positioned in space.

3D sound sources are attunated according to the formula: V = (volume / ((distance/minimum_distance) ^ rolloff_factor))

Definition at line 119 of file ss_source.h.

## Member Function Documentation

virtual float iSndSysSource3D::GetMaximumDistance | ( |  | ) | `[pure virtual]`

Retrieve the maximum distance for which a sound can be heard.

See SetMaximumDistance and SetMinimumDistance for distance notes.

virtual float iSndSysSource3D::GetMinimumDistance | ( |  | ) | `[pure virtual]`

Retrieve the maximum distance for which a sound is heard at full volume.

See SetMaximumDistance and SetMinimumDistance for distance notes.

virtual csVector3 iSndSysSource3D::GetPosition | ( |  | ) | `[pure virtual]`

get position of this source

virtual void iSndSysSource3D::SetMaximumDistance | ( | float | distance | ) | `[pure virtual]`

Set the greatest distance from a sound at which the sound can be heard.

If the distance to a listener is above this threshold, it will not be mixed into the output buffer at all. This saves a tiny bit of processing.

virtual void iSndSysSource3D::SetMinimumDistance | ( | float | distance | ) | `[pure virtual]`

Set the greatest distance from a sound at which the sound plays at full amplitude.

When a listener is closer than this distance, the amplitude is the volume of the sound. When a listener is further than this distance, the amplitude follows the formula V = (volume / ((distance/minimum_distance) ^ rolloff_factor))

virtual void iSndSysSource3D::SetPosition | ( | csVector3 | pos | ) | `[pure virtual]`

set position of this source

The documentation for this struct was generated from the following file:

- isndsys/ss_source.h